#include "My_header.h"

void Display_Controller(External_data ED, Internal_data ID)
{
	if(ID.Operate_State==FALSE)
	{
		Setting_State(ED,ID);
	}
	else if(ID.Operate_State==TRUE)
	{
		Operating_State(ED,ID);
	}
	
}


void Time_Display (External_data ED, Internal_data ID)
{
	char key = 'z';
	switch (ID.Operate_State)
		
	{
	case FALSE:
		get_time(ID.Set_Time);
	
		break;
	case TRUE:
		ID.Now_Time=ID.Set_Time;
		do
		{
			SetColor(YELLOW);
			get_time(ID.Now_Time);
			ID.Now_Time--;
			
			Sleep(10000*TICK);
			system("cls");
			for(;;(kbhit())?(key=getch()):1)
			{
				switch (key)
				{
				case 'e':
					ED.Start_Cancel_Input=TRUE;
					ID.Operate_State=FALSE;
				}
				break;
			}

		}while(ID.Now_Time>0 && Finish(ED, ID)!=TRUE);
		ED.Start_Cancel_Input=FALSE;
		Beep_Sound(ID);
		SetColor(BLACK);
		break;
	}
}

void Temp_Display (External_data ED, Internal_data ID)
{
	do
	{
		get_time(ID.Set_Time);
		ID.Set_Time--;
		Sleep(1000*TICK);
		
	}while(ID.Set_Time>=0);

}

void Mode_Display (External_data ED, Internal_data ID)
{
	switch (ID.Mode)
	{
	case 1:
		printf("01: \n");
		break;
	case 2:
		printf("02: \n");
		break;
	case 3:
		printf("03: \n");
		break;
	case 4:
		printf("04: /\n");
		break;
	case 5:
		printf("05: \n");
		break;
	case 6:
		break;
	}
}

void Setting_State (External_data ED, Internal_data ID)
{
	if(ED.Time_Temp_Input==FALSE&&ED.Mode_Input==TRUE)
		Mode_Display(ED,ID);
	else if(ED.Time_Temp_Input==FALSE&&ED.Mode_Input==FALSE)
		Time_Display(ED,ID);
	else if(ED.Time_Temp_Input==TRUE&&ED.Mode_Input==FALSE)
		Temp_Display(ED,ID);
}

void Operating_State (External_data ED, Internal_data ID)
{
	if(ED.Time_Temp_Input==FALSE&&ED.Mode_Input==TRUE)
		Mode_Display(ED,ID);
	else if(ED.Time_Temp_Input==FALSE&&ED.Mode_Input==FALSE)
		Time_Display(ED,ID);
	else if(ED.Time_Temp_Input==TRUE&&ED.Mode_Input==FALSE)
		Temp_Display(ED,ID);
}